%define aurox_ver 9.3
%define rel 1

Summary: Library for H323 spec.
Name: openh323
Version: 1.12.2
Release: %{aurox_ver}.aur.%{rel}
URL: http://www.openh323.org/
#Source0: %{name}-%{version}.tar.gz
Source0: %{name}_%{version}.tar.gz

#A compiler bug made this not work
ExcludeArch: s390x

Patch1: openh323-1.12.0-libname.patch
Patch2: openh323-1.12.0-install.patch
Patch3: openh323-1.12.0-asnparser.patch
Patch4: openh323-1.12.0-nosamples.patch
Patch5: openh323-1.12.0-prefix.patch
Patch6: openh323-1.12.0-PIC.patch
Patch7: openh323-1.12.2-install.patch

License: MPL
Group: System Environment/Libraries
Requires: pwlib >= 1.4.7-3
BuildRequires: pwlib-devel >= 1.4.7-3
BuildRequires: XFree86-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
Implementation of the ITU H.323 teleconferencing protocol.

%package devel
Summary: Development package for openh323
Group: Development/Libraries
Requires: openh323 = %{PACKAGE_VERSION}
%description devel
Static libraries and header files for development with openh323.

%prep
%setup -q -n %{name}
%patch1 -p1 -b .libname
#%patch2 -p1 -b .install
%patch3 -p1 -b .ansparser
%patch4 -p1 -b .nosamples
%patch5 -p1 -b .prefix
%patch6 -p1 -b .PIC
%patch7 -p1 -b .install

%build
autoconf
./configure --prefix=%{_prefix} --libdir=%{_libdir}
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS"
#Remove this for now, seems to break stuff: %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make PREFIX=$RPM_BUILD_ROOT%{_prefix} LIBDIR=$RPM_BUILD_ROOT%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ReadMe.txt mpl-1.0.htm
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/openh323

%changelog
* Sun Feb 01 2004 Aurox Team <aurox@aurox.org> 0:1.12.2-9.3.aur.1
- rebuild for Aurox 9.3
- fix installation with new library name
- Maybe this will work
- very weird numeration, but it's not my business
- Initial build for Aurox 9.2

* Fri Jul  4 2003 Alexander Larsson <alexl@redhat.com> 1.12.0-2
- Rebuild with right P_64BIT define on ppc64

* Tue Jul  1 2003 Alexander Larsson <alexl@redhat.com> 1.12.0-1
- Update to 1.12.0
- Redo all patches for new makefiles

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-3
- Update the PIC patch for the speex codec.

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-2
- Actually mkdir datadir/openh323

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-1
- Update to 1.11.2
- Removed extra speex source as it's now built in
- Update build patches
- Moved openh323u.mak to datadir/openh323

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.9.10-5
- Rebuild

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-4
- Add speex header files

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-3
- Fix unpackages files

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-2
- Fix speex linking
- Remove custom strndup that was colliding with system one

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-1
- Update to 1.9.10
- Include speex tarball

* Wed Oct  9 2002 Alex Larsson <alexl@redhat.com> 1.9.3-5
- Change to use _libdir etc. throughout specfile
- Build with -fPIC

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Aug  6 2002 Alexander Larsson <alexl@redhat.com> 1.9.3-3
- Removed excludearch ia64

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.9.3-2
- rebuild using gcc-3.2-0.1

* Thu Jul 11 2002 Alexander Larsson <alexl@redhat.com> 1.9.3-1
- Update to 1.9.3

* Tue Jul  2 2002 Alexander Larsson <alexl@redhat.com> 1.9.1-1
- Updated to 1.9.1, some changes borrowed from
- the rpms by Carl-Johan Kjellander 

* Fri Mar 22 2002 Alex Larsson <alexl@redhat.com>
- Add versioned dependency on main package in devel package
- Fix to long line in desctiption

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com>
- Bump version to rebuild against new pwlib

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.8.0

* Wed Sep 28 2001 Alex Larsson <alexl@redhat.com> 1.6.1-3
- made the devel package require the binary package

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.6.0-2
- Changed libname to liboh323

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.6.0-1
- Upgraded to 1.6.0

* Thu Jul  5 2001 Elliot Lee <sopwith@redhat.com> 1.5.5-3
- Remove PLATFORM_TYPE from libname

* Wed Jul  4 2001 Elliot Lee <sopwith@redhat.com> 1.5.5-2
- More fixups. The patch is not named IHATEYOU because of a loving relationship...

* Wed Jul  4 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
